/*
 * (C) Copyright IBM Corp. 1999  All rights reserved.
 *
 * US Government Users Restricted Rights Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

package com.ibm.xml.sax;

import org.xml.sax.AttributeList;

/**
 *
 * @version Revision: %M% %I% %W% %Q%
 * @author TAMURA Kent &lt;kent@trl.ibm.co.jp&gt;
 */
public interface NamespaceAttributeList extends AttributeList {
    /**
     * Returns a prefix name of an attribute.
     * This returns null if the attribute has no prefix.
     */
    public String getPrefix(int i);

    /**
     * Returns a local part of an attribute.
     * This is the same as getName() if the attribute has no prefix.
     */
    public String getLocalPart(int i);

    /**
     * Returns a namespace URI of an attribute.
     * If the attribute is in per-element partition (no prefix), this returns null.
     * If the attribute is in global partition, this returns a namespace URI.
     * If the prefix of the attribute is "xmlns", this returns null.
     */
    public String getNamespace(int i);
}

